#!/usr/bin/perl
############################################################
eval {
	($0=~ m,(.*)/[^/]+,)   && unshift (@INC, "$1");
	($0=~ m,(.*)\\[^\\]+,) && unshift (@INC, "$1");
	require "config.pl";
	push(@INC, "$CONFIG{script_path}/scripts");
	require "ads.pl";
	require "adsearch.pl";
  	require "database.pl";
  	require "new_database.pl";
	require "default_config.pl";
	require "english.lng";
	require "html.pl";
	require "parse_template.pl";
	require "library.pl";
	require "mojoscripts.pl";
	require "utils.pl";
	if (-f "$CONFIG{script_path}/scripts/admin_ibill.pl") {require "admin_ibill.pl";}
	use File::Path;
   &main;
};
if ($@) {
	print "content-type:text/html\n\n";
	print "Error Including configuration file, Reason: $@";
	exit;
}
################################################################
sub main {
	my($time, $time_start, $time_end, $HTML);
	$|++;
	$anonyminit=1;
	$goingoutside=1;
	&Initialization;

	&RunSavedSearch;

###Finish cron tabs running... Now calculating the results
	$html = &CalculateResult;

	if($ENV{REQUEST_METHOD}){
		&PrintHeader;
		print $html;
	}
	exit;
}
################################################################
sub CalculateResult{
	my($expire, $email_content,$HTML_ads, %HTML, $time,$srsent);
        $time = &FormatTime(&TimeNow, "mo;\.;d;\.;y;\ ;h;:;m;:;s; ;am");

	$srsent=join(", ",keys %SRSENT);
	$srsent='nobody' unless $srsent;

         $email_content=qq|
<html>
<head>
<title>$mj{program} $mj{version}</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="500" border="1" cellspacing="0" cellpadding="0" align="center" bordercolor="#33CCFF">
  <tr valign="bottom">
    <td colspan=3>
       Saved search results sent to $srsent.
    </td>
  </tr>
  <tr>
    <td colspan="3">
      <div align="center"><br>
        Please <a href="http://www.mojoscripts.com">contact us</a> if you have any problems.</div>
    </td>
  </tr>
</table>
</body>
</html>
|;
return $email_content;
}
################################################################

#end
